# teafolio

Teafolio is a web-based portfolio frontend for a Gitea server.

Compared to the earlier [codesite](https://code.ivysaur.me/codesite/) project, the repository list and detailed information is loaded live from a Gitea server.

Written in Go

## Usage

1. Compile the binary: `go build`
2. Modify the sample `config.toml` file to point to your Gitea instance
	- `teafolio` will look for `config.toml` in the current directory, or, you can supply a custom path with `-ConfigFile`
3. Deploy binary + `static/` directory to webserver

### Production (Docker)

1. `docker build -t teafolio:latest .`
2. `docker run --restart=always -d -p 5656:5656 -v $(pwd)/config.toml:/app/config.toml teafolio:latest`
